com.sun.jna.platform.unix.solaris

## Class LibKstat.Kstat

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.unix.solaris.LibKstat.Kstat

- Enclosing interface:
    LibKstat

      @Structure.FieldOrder(value={"ks_crtime","ks_next","ks_kid","ks_module","ks_resv","ks_instance","ks_name","ks_type","ks_class","ks_flags","ks_data","ks_ndata","ks_data_size","ks_snaptime","ks_update","ks_private","ks_snapshot","ks_lock"})
      public static class LibKstat.Kstat
      extends Structure

  The kernel maintains a linked list of statistics structures, or kstats. Each kstat has a common header section and a type-specific data section. The header section is defined by the kstat_t structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte[]` | `ks_class`
    `long` | `ks_crtime`
    `Pointer` | `ks_data`
    `long` | `ks_data_size`
    `byte` | `ks_flags`
    `int` | `ks_instance`
    `int` | `ks_kid`
    `Pointer` | `ks_lock`
    `byte[]` | `ks_module`
    `byte[]` | `ks_name`
    `int` | `ks_ndata`
    `Pointer` | `ks_next`
    `Pointer` | `ks_private`
    `byte` | `ks_resv`
    `int` | `ks_snapshot`
    `long` | `ks_snaptime`
    `byte` | `ks_type`
    `int` | `ks_update`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Kstat()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LibKstat.Kstat` | `next()`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ks_crtime

          public long ks_crtime

    - #### ks_next

          public Pointer ks_next

    - #### ks_kid

          public int ks_kid

    - #### ks_module

          public byte[] ks_module

    - #### ks_resv

          public byte ks_resv

    - #### ks_instance

          public int ks_instance

    - #### ks_name

          public byte[] ks_name

    - #### ks_type

          public byte ks_type

    - #### ks_class

          public byte[] ks_class

    - #### ks_flags

          public byte ks_flags

    - #### ks_data

          public Pointer ks_data

    - #### ks_ndata

          public int ks_ndata

    - #### ks_data_size

          public long ks_data_size

    - #### ks_snaptime

          public long ks_snaptime

    - #### ks_update

          public int ks_update

    - #### ks_private

          public Pointer ks_private

    - #### ks_snapshot

          public int ks_snapshot

    - #### ks_lock

          public Pointer ks_lock

  - ### Constructor Detail

    - #### Kstat

          public Kstat()

  - ### Method Detail

    - #### next

          public LibKstat.Kstat next()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.